#region Copyright Syncfusion Inc. 2001 -2004
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
//  Copyright Syncfusion Inc. All rights reserved. Use of this code is subject to the terms of our 
//  license. A copy of the current license can be obtained at any time by e-mailing licensing@syncfusion.com. 
//  Re-distribution in any form is strictly prohibited. Any infringement will be prosecuted under applicable laws. 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
#endregion 
 
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Drawing;
using Syncfusion.Styles;

namespace Syncfusion.Samples.GridPad
{
	/// <summary>
	/// Summary description for GridDialog.
	/// </summary>
	public class GridDialog : System.Windows.Forms.Form
	{
		private GridModel model;
		private SampleGrid grid1;
		private System.Windows.Forms.VScrollBar vScrollBar1;
		private System.Windows.Forms.HScrollBar hScrollBar1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public GridDialog()
		{
			//
			// Required for Windows Form Designer support
			//
			model = new GridModel();
			SampleGrid.SetupGridModel(model);
			InitializeComponent();

			grid1.Model = model;

			bool transparent = true;
			bool alpablend = false;

			if (transparent)
			{
				// Transparent
				if (alpablend)
				{
					// I can either do alphablending
					grid1.SupportsTransparentBackColor = true;
					grid1.TableStyle.Interior = new BrushInfo(Color.FromArgb(50, 204, 212, 230));
				}
				else
				{
					// or tell grid not to draw background of cells
					grid1.TransparentBackground = true;
				}

				// (grid.TransparentBackground completely disables background drawing for all cells
				// whereas SupportsTransparentBackColor = true  together with TransparentBackground
				// lets me do alphablending).

				Type type = typeof(Bitmap);
				System.IO.Stream stream = typeof(SampleGrid).Module.Assembly.GetManifestResourceStream(ApplicationMain.manifestNamespace + "logo_800_edf0f7.bmp");
				Bitmap bm = new Bitmap(stream);
				grid1.BackgroundImage = bm;
			}

			// attach my own scrollbars to grid
			grid1.HScrollBehavior = GridScrollbarMode.Shared;
			grid1.VScrollBehavior = GridScrollbarMode.Shared;
			grid1.UseSharedScrollBars = true;
			grid1.VScrollBar.InnerScrollBar = this.vScrollBar1;
			grid1.HScrollBar.InnerScrollBar = this.hScrollBar1;
			grid1.VerticalThumbTrack = true;
			grid1.HorizontalThumbTrack = true;

			// Have grid not occupy the whole client rectangle
//			Rectangle r = grid1.ClientRectangle;
//			r.Inflate(-20, -20);
//			grid1.GridBounds = r;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.grid1 = new SampleGrid();
			this.hScrollBar1 = new System.Windows.Forms.HScrollBar();
			this.vScrollBar1 = new System.Windows.Forms.VScrollBar();
			((System.ComponentModel.ISupportInitialize)(this.grid1)).BeginInit();
			this.SuspendLayout();
			// 
			// grid1
			// 
			this.grid1.Location = new System.Drawing.Point(20, 16);
			this.grid1.Name = "grid1";
			this.grid1.Size = new System.Drawing.Size(536, 288);
			this.grid1.TabIndex = 0;
			this.grid1.Text = "grid1";
			this.grid1.Anchor = AnchorStyles.Top|AnchorStyles.Bottom|AnchorStyles.Left|AnchorStyles.Right;
			// 
			// hScrollBar1
			// 
			this.hScrollBar1.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(252)), ((System.Byte)(172)), ((System.Byte)(38)));
			this.hScrollBar1.Location = new System.Drawing.Point(68, 336);
			this.hScrollBar1.Size = new System.Drawing.Size(464, 16);
			this.hScrollBar1.Name = "hScrollBar1";
			this.hScrollBar1.TabIndex = 1;
			this.hScrollBar1.Anchor = AnchorStyles.Top|AnchorStyles.Bottom|AnchorStyles.Right;
			// 
			// vScrollBar1
			// 
			this.vScrollBar1.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(252)), ((System.Byte)(172)), ((System.Byte)(38)));
			this.vScrollBar1.Location = new System.Drawing.Point(584, 56);
			this.vScrollBar1.Size = new System.Drawing.Size(16, 224);
			this.vScrollBar1.Name = "vScrollBar1";
			this.vScrollBar1.TabIndex = 2;
			this.grid1.Anchor = AnchorStyles.Bottom|AnchorStyles.Left|AnchorStyles.Right;
			// 
			// GridDialog
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(616, 365);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.vScrollBar1,
																		  this.hScrollBar1,
																		  this.grid1});
			this.Name = "GridDialog";
			this.Text = "GridDialog";
			this.TransparencyKey = System.Drawing.SystemColors.Desktop;
			((System.ComponentModel.ISupportInitialize)(this.grid1)).EndInit();
			this.ResumeLayout(false);

		}
	}
}
