#region Copyright Syncfusion Inc. 2001 -2004
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
//  Copyright Syncfusion Inc. All rights reserved. Use of this code is subject to the terms of our 
//  license. A copy of the current license can be obtained at any time by e-mailing licensing@syncfusion.com. 
//  Re-distribution in any form is strictly prohibited. Any infringement will be prosecuted under applicable laws. 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
#endregion 
 
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Diagnostics;
using System.Windows.Forms;
using System.Data;
using System.Reflection;

using Syncfusion.Windows.Forms.Grid;

namespace Syncfusion.Samples.GridPad
{
	/// <summary>
	///    GridFrame is a MDI Child window that hosts the SampleGrid control.
	/// </summary>
	public class GridFrame : System.Windows.Forms.Form
	{
		/// <summary>
		///    Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components;
		private SampleGrid grid1;
		private GridModel model;

		public GridFrame()
			:this(null)
		{
		}

		public GridFrame(GridModel model)
		{
			this.model = model;
			if (this.model == null)
			{
				this.model = new GridModel();
				SampleGrid.SetupGridModel(this.model);
			}
			InitializeComponent();
		}

		/// <summary>
		///    Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		/// <summary>
		///    Required method for Designer support - do not modify
		///    the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.grid1 = new SampleGrid(model);
			this.Icon = (Icon) ApplicationMain.IconResources.GetObject("GridPad");
		
			this.ClientSize = new System.Drawing.Size(352, 333);
			this.CausesValidation = false;
			grid1.SuspendLayout();
			grid1.Dock = DockStyle.Fill;
			grid1.Location = new System.Drawing.Point(0, 0);
			grid1.Size = this.ClientSize;
			grid1.TabIndex = 1;
			grid1.Initialize();
			grid1.ResumeLayout();
		
			this.Controls.Add(grid1);
			grid1.Model.SelectionChanging += new GridSelectionChangingEventHandler(grid1_SelectionChanging);
			this.grid1.CurrentCell.MoveTo(1, 1);
		}

		/// <summary>
		/// SelectionChanging event handler for grid.
		/// </summary>
		/// <model name="sender"></model>
		/// <model name="e"></model>
		public void grid1_SelectionChanging(object sender, GridSelectionChangingEventArgs e)
		{
			if (e.Cancel)
				return;
		}
	}
}
