#region Copyright Syncfusion Inc. 2001 -2004
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
//  Copyright Syncfusion Inc. All rights reserved. Use of this code is subject to the terms of our 
//  license. A copy of the current license can be obtained at any time by e-mailing licensing@syncfusion.com. 
//  Re-distribution in any form is strictly prohibited. Any infringement will be prosecuted under applicable laws. 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
#endregion 
 
using System;
using System.Drawing;
using System.Windows.Forms;

using Syncfusion.Samples.GridPad.MenuAction;

namespace Syncfusion.Samples.GridPad
{

	public class ToolBarButtonSeperator : ToolBarButton
	{
		public ToolBarButtonSeperator()
		{
			Style      = ToolBarButtonStyle.Separator;
			Tag   = null;
		}
	}
	
	public class RichToolBarButton : ToolBarButton
	{
		public RichToolBarButton(String text, int imageindex, object evt)
		{
			ToolTipText = text;
			this.ImageIndex = imageindex;
			Tag = evt;
		}
	}
	
	public class StandardToolBar : ToolBar
	{
		MainWindow mainwindow;
		
		public StandardToolBar(MainWindow mainwindow)
		{
			this.mainwindow = mainwindow;
			Appearance = ToolBarAppearance.Flat;
			Bitmap[] imglist = new Bitmap[] {
				(Bitmap)ApplicationMain.IconResources.GetObject("NewDocumentIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("OpenFileIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("SaveIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("PrintIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("PrintPreviewIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("CutIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("CopyIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("PasteIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("DeleteIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("UndoIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("RedoIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("FontBoldIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("FontItalicIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("FontUnderlineIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("AlignLeftIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("AlignCenterIcon"),
				(Bitmap)ApplicationMain.IconResources.GetObject("AlignRightIcon"),
			};
			
			this.ImageList = new ImageList();
			foreach (Bitmap bm in imglist)
				this.ImageList.Images.Add(bm);
			
			int i = 0;
			Buttons.Add(new RichToolBarButton("New", i,  new NewFile())); i++;
			Buttons.Add(new RichToolBarButton("Open", i, new OpenFile())); i++;
			Buttons.Add(new RichToolBarButton("Save", i, new SaveFile())); i++;
			Buttons.Add(new ToolBarButtonSeperator());
			
			Buttons.Add(new RichToolBarButton("Print", i, new PrintFile())); i++;
			Buttons.Add(new RichToolBarButton("Print Preview", i, new PrintPreviewFile())); i++;
			Buttons.Add(new ToolBarButtonSeperator());

			Buttons.Add(new RichToolBarButton("Cut", i, new CutAction())); i++;
			Buttons.Add(new RichToolBarButton("Copy", i, new CopyAction())); i++;
			Buttons.Add(new RichToolBarButton("Paste", i, new PasteAction())); i++;
			Buttons.Add(new RichToolBarButton("Delete", i, new DeleteAction())); i++;
			Buttons.Add(new ToolBarButtonSeperator());
			
			Buttons.Add(new RichToolBarButton("Undo", i, new UndoAction())); i++;
			Buttons.Add(new RichToolBarButton("Redo", i, new RedoAction())); i++;
			Buttons.Add(new ToolBarButtonSeperator());

			Buttons.Add(new RichToolBarButton("Bold", i, new FontStyleBold())); i++;
			Buttons.Add(new RichToolBarButton("Italic", i, new FontStyleItalic())); i++;
			Buttons.Add(new RichToolBarButton("Underline", i, new FontStyleUnderline())); i++;

			Buttons.Add(new RichToolBarButton("Align Left", i, new AlignLeft())); i++;
			Buttons.Add(new RichToolBarButton("Center", i, new AlignCenter())); i++;
			Buttons.Add(new RichToolBarButton("Align Right", i, new AlignRight())); i++;
			Buttons.Add(new ToolBarButtonSeperator());

			ButtonClick += new ToolBarButtonClickEventHandler(ToolBarClickEvent);
		}
		
		void ToolBarClickEvent(object sender, ToolBarButtonClickEventArgs e)
		{
			if (e.Button.Tag != null) {
				BasicAction action = (BasicAction)e.Button.Tag;
				action.MainWindow = mainwindow;
				action.InvokeAction(sender, e);
			}
		}
	}
}
