#region Copyright Syncfusion Inc. 2001 -2004
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
//  Copyright Syncfusion Inc. All rights reserved. Use of this code is subject to the terms of our 
//  license. A copy of the current license can be obtained at any time by e-mailing licensing@syncfusion.com. 
//  Re-distribution in any form is strictly prohibited. Any infringement will be prosecuted under applicable laws. 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
#endregion 
 
using System;
using System.Diagnostics;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace Syncfusion.Samples.GridPad
{
	/// <summary>
	///    Summary description for RecordFrame.
	/// </summary>
	public class RecordFrame : System.Windows.Forms.Form
	{
		/// <summary>
		///    Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components;

		private GridRecordNavigationControl recordNavigationControl1;
		private SampleGrid grid1;
		private GridModel model;
		//private bool inUpdate = false;
		//private int savedRecord = -1;

		public RecordFrame()
			:this(null)
		{
		}

		public RecordFrame(GridModel model)
		{
			if (model != null)
				this.model = model;
			else
			{
				this.model = new GridModel();
				SampleGrid.SetupGridModel(this.model);
			}
			InitializeComponent();
		}


		/// <summary>
		///    Clean up any resources being used.
		/// </summary>
		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
				if (components != null)
					components.Dispose();
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		///    Required method for Designer support - do not modify
		///    the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container ();
			this.recordNavigationControl1 = new GridRecordNavigationControl ();
			this.recordNavigationControl1.ScrollBarColor = Color.Blue;
			this.recordNavigationControl1.Dock = DockStyle.Fill;
			this.recordNavigationControl1.TabIndex = 0;
			this.recordNavigationControl1.Visible = true;
			this.recordNavigationControl1.ShowToolTips = true;
			this.recordNavigationControl1.SplitBars = DynamicSplitBars.Both;
			this.recordNavigationControl1.RepeatClickDelay = 200;
			this.recordNavigationControl1.MinRepeatClickDelay = 15;
			this.recordNavigationControl1.ThemesEnabled = true;
			this.CausesValidation = false;

			recordNavigationControl1.Enter += new EventHandler(SplitterEnter);
			recordNavigationControl1.GotFocus += new EventHandler(SplitterGotFocus);

			this.grid1 = new SampleGrid(model);
			recordNavigationControl1.Controls.Add(grid1);
			this.grid1.CurrentCell.MoveTo(1, 1);
			
			this.Text = "Grid Splitter";
			this.AutoScaleBaseSize = new System.Drawing.Size (5, 13);

			this.Controls.Add (this.recordNavigationControl1);
		}

		void SplitterEnter(object sender, EventArgs e)
		{
			if (this.recordNavigationControl1.HasControlFocus && !this.recordNavigationControl1.IsValidating)
				this.Activate();
		}

		void SplitterGotFocus(object sender, EventArgs e)
		{
			if (this.recordNavigationControl1.IsActiveControl && !this.recordNavigationControl1.IsValidating)
				this.Activate();
		}
         
	}
}
