#region Copyright Syncfusion Inc. 2001 -2004
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
//  Copyright Syncfusion Inc. All rights reserved. Use of this code is subject to the terms of our 
//  license. A copy of the current license can be obtained at any time by e-mailing licensing@syncfusion.com. 
//  Re-distribution in any form is strictly prohibited. Any infringement will be prosecuted under applicable laws. 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
#endregion 
 
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace Syncfusion.Samples.GridPad
{
    /// <summary>
    ///    Summary description for SplitterFrame.
    /// </summary>
    public class SplitterFrame : System.Windows.Forms.Form
    {
        /// <summary>
        ///    Required designer variable.
        /// </summary>
        private System.ComponentModel.Container components;

        private SplitterControl splitterControl1;
		private SampleGrid grid1;
		private GridModel model;

		public SplitterFrame()
			:this(null)
		{
		}

		public SplitterFrame(GridModel model)
		{
			this.model = model;
			if (this.model == null)
			{
				this.model = new GridModel();
				SampleGrid.SetupGridModel(this.model);
			}
			InitializeComponent();
		}

        /// <summary>
        ///    Clean up any resources being used.
        /// </summary>
		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
				if (components != null)
					components.Dispose();
			}
			base.Dispose(disposing);
		}
		
        /// <summary>
        ///    Required method for Designer support - do not modify
        ///    the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container ();
            this.splitterControl1 = new SplitterControl();
			this.grid1 = new SampleGrid(model);
			//this.grid1.Model = model;
			this.grid1.Initialize();

            splitterControl1.Dock = DockStyle.Fill;
			splitterControl1.TabIndex = 0;
            splitterControl1.ShowToolTips = true;
            splitterControl1.Visible = true;
            splitterControl1.SplitBars = DynamicSplitBars.Both;
			splitterControl1.ThemesEnabled = true;

            this.Text = "Grid Splitter";
            this.AutoScaleBaseSize = new System.Drawing.Size (5, 13);
			this.CausesValidation = false;

            splitterControl1.Controls.Add (this.grid1);
            this.Controls.Add (this.splitterControl1);

			this.grid1.CurrentCell.MoveTo(1, 1);
        }

    }
}
